Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IDataFlowDiagram

    com.change_vision.jude.api.inf.model.IDataFlowDiagram

All Superinterfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IDataFlowDiagram

extends IDiagram

Interface for Data Flow diagrams.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IDataFlowNode[]` | `getDataFlowNodes()` Get DataFlowNodes.
`abstract IDataFlow[]` | `getDataFlows()` Get DataFlows.
`abstract String` | `getNotation()` Get Notation.
`abstract void` | `setNotation(String notation)` Set Notation to ER diagrams.

Methods inherited from class com.change_vision.jude.api.inf.model.IDiagram
`exportImage, getBoundRect, getPresentations, getProperties, getProperty, getText, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getDataFlows

    abstract IDataFlow[] getDataFlows()

  Get DataFlows.

  Returns:
    DataFlows. Return the empty array if there is none.

### getDataFlowNodes

    abstract IDataFlowNode[] getDataFlowNodes()

  Get DataFlowNodes.

  Returns:
    DataFlowNodes. Return the empty array if there is none.

### getNotation

    abstract String getNotation()

  Get Notation.

  Returns:
    Notation "DeMarco","Gane/Sarson"

### setNotation

    abstract void setNotation(String notation)

  Set Notation to ER diagrams.

  Parameters:
    `notation` - "DeMarco","Gane/Sarson"
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD